X2Go Bug report logs - #707
BPG as bitmap compression engine in NX

Package: libxcomp3; Maintainer for libxcomp3 is X2Go Developers <x2go-dev@lists.x2go.org>; Source for libxcomp3 is src:nx-libs.

Reported by: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Date: Thu, 18 Dec 2014 20:40:01 UTC

Severity: wishlist

Tags: wontfix

Done: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>

Bug is archived. No further changes may be made.

Forwarded to https://github.com/ArcticaProject/nx-libs/issues/75

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#707; Package libxcomp3. (Thu, 18 Dec 2014 20:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 18 Dec 2014 20:40:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: submit@bugs.x2go.org
Subject: BPG as bitmap compression engine in NX
Date: Thu, 18 Dec 2014 20:38:59 +0000
[Message part 1 (text/plain, inline)]
Package: libxcomp3
Severity: wishlist

Hi all,

By Savko Sergey I have just been pointed to the upcoming BPG image  
compression library [1].

Quoting their website:

"""
BPG (Better Portable Graphics) is a new image format. Its purpose is  
to replace the JPEG image format when quality or file size is an  
issue. Its main advantages are:

    High compression ratio. Files are much smaller than JPEG for  
similar quality.
    Supported by most Web browsers with a small Javascript decoder  
(gzipped size: 55 KB).
    Based on a subset of the HEVC open video compression standard.
    Supports the same chroma formats as JPEG (grayscale, YCbCr 4:2:0,  
4:2:2, 4:4:4) to reduce the losses during the conversion. An alpha  
channel is supported. The RGB, YCgCo and CMYK color spaces are also  
supported.
    Native support of 8 to 14 bits per channel for a higher dynamic range.
    Lossless compression is supported.
    Various metadata (such as EXIF, ICC profile, XMP) can be included.
"""

We should take a look at this new compression library and check if it  
is usable in NX.

Mike

[1] http://bellard.org/bpg/

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#707; Package libxcomp3. (Sat, 20 Feb 2016 20:50:01 GMT) (full text, mbox, link).


Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 20 Feb 2016 20:50:02 GMT) (full text, mbox, link).


Message #10 received at 707@bugs.x2go.org (full text, mbox, reply):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 707@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#707: BPG as bitmap compression engine in NX
Date: Sat, 20 Feb 2016 20:46:40 +0000
[Message part 1 (text/plain, inline)]
Control: forwarded -1 https://github.com/ArcticaProject/nx-libs/issues/75
Control: tag -1 wontfix
Control: close -1

On  Do 18 Dez 2014 21:38:59 CET, Mike Gabriel wrote:

> Package: libxcomp3
> Severity: wishlist
>
> Hi all,
>
> By Savko Sergey I have just been pointed to the upcoming BPG image  
> compression library [1].
>
> Quoting their website:
>
> """
> BPG (Better Portable Graphics) is a new image format. Its purpose is  
> to replace the JPEG image format when quality or file size is an  
> issue. Its main advantages are:
>
>     High compression ratio. Files are much smaller than JPEG for  
> similar quality.
>     Supported by most Web browsers with a small Javascript decoder  
> (gzipped size: 55 KB).
>     Based on a subset of the HEVC open video compression standard.
>     Supports the same chroma formats as JPEG (grayscale, YCbCr  
> 4:2:0, 4:2:2, 4:4:4) to reduce the losses during the conversion. An  
> alpha channel is supported. The RGB, YCgCo and CMYK color spaces are  
> also supported.
>     Native support of 8 to 14 bits per channel for a higher dynamic range.
>     Lossless compression is supported.
>     Various metadata (such as EXIF, ICC profile, XMP) can be included.
> """
>
> We should take a look at this new compression library and check if  
> it is usable in NX.
>
> Mike
>
> [1] http://bellard.org/bpg/

The issue has been migrated to nx-libs issue tracker on Github.

As the issue is not critical to X2Go and an implementation on nx-libs  
3.5.x is out of reach, this bug gets closed and tagged "wontfix" (for  
X2Go with nx-libs 3.5.x).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/mailxchange/kronolith/fb.php?u=m.gabriel%40das-netzwerkteam.de
[Message part 2 (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'https://github.com/ArcticaProject/nx-libs/issues/75'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 707-submit@bugs.x2go.org. (Sat, 20 Feb 2016 20:50:03 GMT) (full text, mbox, link).


Added tag(s) wontfix. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 707-submit@bugs.x2go.org. (Sat, 20 Feb 2016 20:50:03 GMT) (full text, mbox, link).


Marked Bug as done Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 707-submit@bugs.x2go.org. (Sat, 20 Feb 2016 20:50:03 GMT) (full text, mbox, link).


Notification sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Bug acknowledged by developer. (Sat, 20 Feb 2016 20:50:03 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 20 Mar 2016 06:24:01 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu Nov 14 11:20:39 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.